// aeoption.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "de.h"
#include "deoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DEOption dialog


DEOption::DEOption(DETool *pTool /*=NULL*/)
    : CPropertyPage(DEOption::IDD)
{  
    ASSERT(pTool);
    m_pTool = pTool;
    
    LoadData(); 
    //{{AFX_DATA_INIT(DEOption)
    
    //}}AFX_DATA_INIT
}

void DEOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(DEOption)
    DDX_Text(pDX, IDC_DEOPT_EDIT1, m_strPath);
    DDX_Text(pDX, IDC_DEOPT_EDIT2, m_strProg);
    //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// AEOption message handlers
  void DEOption::SaveData(void)
{                                  
    //UpdateData(TRUE);
   
    m_pTool->m_strPath    = m_strPath;
    m_pTool->m_strProg    = m_strProg;
}

 void DEOption::LoadData(void)
{
    m_strPath  = m_pTool->m_strPath;
    m_strProg    = m_pTool->m_strProg;
}

BEGIN_MESSAGE_MAP(DEOption, CPropertyPage)
    //{{AFX_MSG_MAP(DEOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()